# $Revision: 1.20 $, $Date: 2012/01/21 20:05:32 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		ecore_ver	1.1.0
%define		eina_ver	1.1.0
%define		evas_ver	1.1.0

Summary:	EFL wrapper for DBus
Summary(pl.UTF-8):	Obudowanie EFL dla systemu DBus
Name:		e_dbus
Version:	1.1.0
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	67154e0dc9bf6c57ee8c88fc2250e8d1
URL:		http://trac.enlightenment.org/e/wiki/E_Dbus
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	dbus-devel >= 0.62
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	evas-devel >= %{ecore_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
Requires:	dbus-libs >= 0.62
Requires:	ecore >= %{ecore_ver}
Requires:	eina >= %{eina_ver}
Requires:	evas >= %{evas_ver}
Obsoletes:	ecore-dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
EFL wrapper for DBus.

%description -l pl.UTF-8
Obudowanie EFL dla systemu DBus.

%package devel
Summary:	Header files for e_dbus library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki e_dbus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 0.62
Requires:	ecore-devel >= %{ecore_ver}
Requires:	eina-devel >= %{eina_ver}
Requires:	evas-devel >= %{evas_ver}

%description devel
Header files for e_dbus library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki e_dbus.

%package static
Summary:	Static e_dbus library
Summary(pl.UTF-8):	Statyczna biblioteka e_dbus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static e_dbus library.

%description static -l pl.UTF-8
Statyczna biblioteka e_dbus.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/e-notify-send
%attr(755,root,root) %{_bindir}/e_dbus_bluez_test
%attr(755,root,root) %{_bindir}/e_dbus_connman0_7x_test
%attr(755,root,root) %{_bindir}/e_dbus_notification_daemon
%attr(755,root,root) %{_bindir}/e_dbus_notify
%attr(755,root,root) %{_bindir}/e_dbus_ofono_test
%attr(755,root,root) %{_bindir}/e_dbus_test
%attr(755,root,root) %{_bindir}/e_dbus_test_client
%attr(755,root,root) %{_bindir}/e_dbus_ukit_test
%attr(755,root,root) %{_libdir}/libebluez.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libebluez.so.1
%attr(755,root,root) %{_libdir}/libeconnman0_7x.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeconnman0_7x.so.1
%attr(755,root,root) %{_libdir}/libedbus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedbus.so.1
%attr(755,root,root) %{_libdir}/libehal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libehal.so.1
%attr(755,root,root) %{_libdir}/libenotify.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libenotify.so.1
%attr(755,root,root) %{_libdir}/libeofono.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeofono.so.1
%attr(755,root,root) %{_libdir}/libeukit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeukit.so.1
%{_datadir}/e_dbus

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libebluez.so
%attr(755,root,root) %{_libdir}/libeconnman0_7x.so
%attr(755,root,root) %{_libdir}/libedbus.so
%attr(755,root,root) %{_libdir}/libehal.so
%attr(755,root,root) %{_libdir}/libenotify.so
%attr(755,root,root) %{_libdir}/libeofono.so
%attr(755,root,root) %{_libdir}/libeukit.so
%{_libdir}/libebluez.la
%{_libdir}/libeconnman0_7x.la
%{_libdir}/libedbus.la
%{_libdir}/libehal.la
%{_libdir}/libeofono.la
%{_libdir}/libeukit.la
%{_libdir}/libenotify.la
%{_includedir}/e_dbus-1
%{_pkgconfigdir}/ebluez.pc
%{_pkgconfigdir}/econnman-0.7x.pc
%{_pkgconfigdir}/edbus.pc
%{_pkgconfigdir}/ehal.pc
%{_pkgconfigdir}/enotify.pc
%{_pkgconfigdir}/eofono.pc
%{_pkgconfigdir}/eukit.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libebluez.a
%{_libdir}/libeconnman0_7x.a
%{_libdir}/libedbus.a
%{_libdir}/libehal.a
%{_libdir}/libenotify.a
%{_libdir}/libeofono.a
%{_libdir}/libeukit.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e_dbus.spec,v $
Revision 1.20  2012/01/21 20:05:32  zbyniu
- release 2

Revision 1.19  2011/12/11 19:06:52  qboosh
- updated to 1.1.0

Revision 1.18  2011/06/01 19:17:39  qboosh
- updated to 1.0.1

Revision 1.17  2011/05/30 16:08:22  zbyniu
- R: ecore not ecore-devel

Revision 1.16  2011/02/02 16:51:13  qboosh
- updated URL

Revision 1.15  2011/02/02 15:40:26  qboosh
- package ChangeLog
- pkgconfig version for Requires.private

Revision 1.14  2011/02/01 08:48:38  lisu
- rel 3

Revision 1.13  2011/01/31 18:05:15  lisu
- rel 2

Revision 1.12  2011/01/31 13:39:56  lisu
- 1.0.0 is now stable

Revision 1.11  2010/12/05 19:13:13  qboosh
- updated to 1.0.0.beta3
- License is BSD

Revision 1.10  2010/11/16 18:04:52  witekfl
- 1.0.0.beta2

Revision 1.9  2010/08/06 13:45:10  witekfl
- LATEST snapshot

Revision 1.8  2010/08/04 20:58:43  witekfl
- up to the snapshot 0.5.0.49898

Revision 1.7  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.6  2008/10/09 18:00:26  pablo
- updated
- using "official" snapshots

Revision 1.5  2008/08/25 16:43:25  pablo
- updated to 20080813 snap

Revision 1.4  2008/06/03 21:08:29  qboosh
- ghost soname symlinks, cleanup, killed copy-pastos

Revision 1.3  2008-06-01 15:40:49  cactus
- small clean up

Revision 1.2  2008-06-01 14:09:36  cactus
- up to 0.5.0.043

Revision 1.1  2008-05-31 20:43:57  cactus
- initial
